<!DOCTYPE html>
<!--
Huve Check®
(c) 2023-2024 Frédéric Blondiau, DouWère s.p.r.l.
-->
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport"
			content="width=device-width, initial-scale=1.0" />
		<title>User</title>
		<style>
			:root {
				color-scheme: light dark;
			}
			html {
				background-color: transparent;
			}
			body {
				font: -apple-system-body;
				font-family: Arial, sans-serif;
				font-weight: normal;
				padding: 8px;
				padding-bottom: 50vh;
				
				animation-delay: 250ms;
				-webkit-animation-delay: 250ms;
				animation: fadeInAnimation ease 1s;
				-webkit-animation: fadeInAnimation ease 1s;
				animation-iteration-count: 1;
				-webkit-animation-iteration-count: 1;
				animation-fill-mode: forwards;
				-webkit-animation-fill-mode: forwards;
			}
			.comment {
				font-size: 80%;
				color: #D3D3D3;
			}
		</style>
	</head>
	<body style="overflow-wrap: break-word; -webkit-nbsp-mode: space; line-break: after-white-space;">
		<p>
			<?php
				$dbFolder = getcwd() . '/../../../db/';
				
				$db = new PDO("sqlite:" . $dbFolder . "logger.sqlite");
				$db -> setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				
				try {
					$userID = $_GET['userID'];
					
					$stm = $db -> prepare('SELECT
						json_extract(params, "$.environment.app") AS "app",
						json_extract(params, "$.installationID") AS "installationID"
						FROM logs
						WHERE
						json_extract(params, "$.userID") == :userID
						ORDER BY "rowID" DESC LIMIT 1;'
					);
					$stm -> execute([
						':userID' => $userID
					]);
					$row = $stm->fetch(PDO::FETCH_ASSOC);
					$appVersion = $row["app"];
					$installationID = $row["installationID"];
				} catch (PDOException $e) {
					print_r($e);
				}

				
				$manifest = json_decode(file_get_contents("manifest.json"), true);
				$minimumAppVersion = $manifest["minimumAppVersion"];
				
				$canByPass = false;
				$canByPass = in_array(
					$installationID,
					array(
						"X1EE8190B-5C72-4EEC-9DEB-4CB925C36DAE", // iOS (emulator)
						"X4F47EB0D-DC36-4FE5-862B-479129060EC3"  // Android
					)
				);
				
				if ((!$canByPass) && (version_compare($appVersion, $minimumAppVersion) == -1)) {
					printf("%s", "Please, update to the latest version ($appVersion ➜ $minimumAppVersion)" .
						" to access the background features.");
					//				printf("%s", "Backend processing temporarily unavailable.");
				} else {
			?>
			<?php
				}
			?>
		</p>
		<p>
			<?php
				printf("The full user ID is “%s”.", $_GET['userID']);
			?>
		</p>
		<p class="comment">
			huve_check
		</p>
	</body>
</html>
